

//	(C) 2017 R-MIK Sawomir Skrzyski
//	slawomir.skrzynski@ep.com.pl


#ifndef USART_H_
#define	USART_H_


//------------------------------------------------------------------//
#if defined( USART_IRQRX ) && !defined( USART_RXBUF )
  #define	USART_RXBUF	16			// ! Potega dwjki
  #warning "Domyslny bufor RX usart"
#endif
#if defined( USART_IRQTX ) && !defined( USART_TXBUF )
  #define	USART_TXBUF	16			// ! Potega dwjki
  #warning "Domyslny bufor TX usart"
#endif


#ifdef USART_IRQRX
  byte volatile Usart_PtrRxR=0;		// Wskanik na nastpny znak
  byte volatile Usart_PtrRxW=0;		// Wskanik znaku do zapisania
  #if USART_BITS==9
	word Usart_RxBuf[USART_RXBUF];
  #else
	byte Usart_RxBuf[USART_RXBUF];
  #endif
#endif

#ifdef USART_IRQTX
  byte volatile Usart_PtrTxR=0;		// Wskanik na nastpny znak
  byte volatile Usart_PtrTxW=0;		// Wskanik znaku do zapisania
  #if USART_BITS==9
	word Usart_TxBuf[USART_TXBUF];
  #else
	byte Usart_TxBuf[USART_TXBUF];
  #endif
#endif


extern void Usart_Init();
extern void Usart_Transmit(word c );	// Bez IRQ
extern word Usart_Receive();			// Bez IRQ
extern char Usart_Test();
extern void Usart_Flush();
extern word Usart_Get();				// z i bez IRQ
extern byte Usart_Put( word c )	;	// z i bez IRQ


//------------------------------------------------------------------//
#endif

